function [SK,DK] = dynkor(var1, var2)

%Zajisteni spravne orientace vektoru

if size(var1,1)<size(var1,2)
    var1=var1';
end
if size(var2,1)<size(var2,2)
    var2=var2';
end
%-----------------------------------------
%Vzajemna korelace/konvoluce

L=size(var1,1);
Lo=round(sqrt(L));
tt=(L+Lo):-1:(L-Lo);

%cvar=xcov(var1,var2,'unbiased')*L/(L-1);
cvar=xcorr(var1,var2);
cvar=cvar(tt,:);  %cast, ze ktere spektrum

%Autokorelace/autokonvoluce

%cvar1=xcov(var1,'unbiased')*L/(L-1);
cvar1=xcorr(var1);
cvar1=cvar1(tt,:);  %cast, ze ktere spektrum

%cvar2=xcov(var2,'unbiased')*L/(L-1);
cvar2=xcorr(var2);
cvar2=cvar2(tt,:);  %cast, ze ktere spektrum
%------------------------------------------
%Filtrace oknem

w=bartlett(length(cvar));
cvar=cvar.*w;
cvar1=cvar1.*w;
cvar2=cvar2.*w;
%------------------------------------------
%Prevod do spektralni oblasti

omega=0:2*pi/128:2*pi-2*pi/128;

cvarf=(cvar'*exp(-i*(-Lo:Lo)'*omega))';
cvar1f=(cvar1'*exp(-i*(-Lo:Lo)'*omega))';
cvar2f=(cvar2'*exp(-i*(-Lo:Lo)'*omega))';

% cvarf=abs(fft(cvar));
% cvar1f=abs(fft(cvar1));
% cvar2f=abs(fft(cvar2));

%polovina spektra
puls=length(cvarf)/2;   %polovina bodu spektra
svar=real(cvarf(1:puls+1));
svar1=real(cvar1f(1:puls+1));
svar2=real(cvar2f(1:puls+1));

%NORMOVANE ZOBRAZENI
osaf=1:1:length(svar);       %vypocet frakci pi
osaf=osaf./length(osaf);    %vypocet frakci pi

%Vykresleni do grafu (vyznacena hranice 6 a 32 ctvrtleti)
figure(1);subplot(3,1,1);plot(osaf,svar1,'red');
hold on
    line([2/32 2/32],[min(svar1) max(svar1)])
    line([2/6 2/6],[min(svar1) max(svar1)])
hold off
subplot(3,1,2);plot(osaf,svar2,'red');
hold on
    line([2/32 2/32],[min(svar2) max(svar2)])
    line([2/6 2/6],[min(svar2) max(svar2)])
hold off
subplot(3,1,3);plot(osaf,svar,'red');
hold on
    line([2/32 2/32],[min(svar) max(svar)])
    line([2/6 2/6],[min(svar) max(svar)])
hold off
%------------------------------------------
%Vypocet dynamicke korelace DK

DK = svar./sqrt(svar1.*svar2);

%Vykresleni do grafu

figure(2);plot(osaf,DK,'b'); xlabel('frakce pi');
hold on
    line([2/32 2/32],[min(DK) max(DK)],'Color','c')
    line([2/6 2/6],[min(DK) max(DK)],'Color','c')
    legend('Dynamicka korelace')
hold off
%------------------------------------------
%Vypocet statickeho korelacniho koeficientu SK

minf=6;     %hranice ve ctvrtletich (mensi cislo)
maxf=32;    %hranice ve ctvrtletich (vetsi cislo)
a=ceil(128/maxf);       % a=4;0
b=floor(128/minf);      % b=21;1

ssvar = sum(svar(a : b));
ssvar1 = sum(svar1(a : b));
ssvar2 = sum(svar2(a : b));

SK = ssvar/(sqrt(ssvar1*ssvar2))
